com.hazelcast.config

## Enum MultiMapConfig.ValueCollectionType

- java.lang.Object
- - java.lang.Enum<MultiMapConfig.ValueCollectionType>
  - - com.hazelcast.config.MultiMapConfig.ValueCollectionType

- All Implemented Interfaces:
    Serializable, Comparable<MultiMapConfig.ValueCollectionType>
  Enclosing class:
    MultiMapConfig

      public static enum MultiMapConfig.ValueCollectionType
      extends Enum<MultiMapConfig.ValueCollectionType>

  Type of value collection

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LIST` Store value collection as list
    `SET` Store value collection as set

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MultiMapConfig.ValueCollectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MultiMapConfig.ValueCollectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SET

          public static final MultiMapConfig.ValueCollectionType SET

      Store value collection as set

    - #### LIST

          public static final MultiMapConfig.ValueCollectionType LIST

      Store value collection as list

  - ### Method Detail

    - #### values

          public static MultiMapConfig.ValueCollectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultiMapConfig.ValueCollectionType c : MultiMapConfig.ValueCollectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultiMapConfig.ValueCollectionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All rights reserved.